=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2009-02-21 16:00:06 +0000
+++ client/drizzle.cc	2009-02-28 17:49:22 +0000
@@ -467,7 +467,6 @@
   { "FULL", 0, 0, 0, ""},
   { "FULLTEXT", 0, 0, 0, ""},
   { "FUNCTION", 0, 0, 0, ""},
-  { "GET_FORMAT", 0, 0, 0, ""},
   { "GLOBAL", 0, 0, 0, ""},
   { "GRANT", 0, 0, 0, ""},
   { "GRANTS", 0, 0, 0, ""},
@@ -968,7 +967,6 @@
   { "SUBSTR", 0, 0, 0, ""},
   { "SUBSTRING", 0, 0, 0, ""},
   { "SUBSTRING_INDEX", 0, 0, 0, ""},
-  { "SUBTIME", 0, 0, 0, ""},
   { "SUM", 0, 0, 0, ""},
   { "SYSDATE", 0, 0, 0, ""},
   { "SYSTEM_USER", 0, 0, 0, ""},

=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2009-02-28 17:48:22 +0000
+++ drizzled/Makefile.am	2009-02-28 17:49:22 +0000
@@ -160,7 +160,6 @@
 		function/str/user.h \
 		function/str/uuid.h \
 		function/str/weight_string.h \
-		function/time/add_time.h \
 		function/time/curdate.h \
 		function/time/date.h \
 		function/time/date_add_interval.h \
@@ -171,12 +170,9 @@
 		function/time/extract.h \
 		function/time/from_days.h \
 		function/time/from_unixtime.h \
-		function/time/get_format.h \
 		function/time/get_interval_value.h \
 		function/time/hour.h \
 		function/time/last_day.h \
-		function/time/make_datetime.h \
-		function/time/make_datetime_with_warn.h \
 		function/time/makedate.h \
 		function/time/microsecond.h \
 		function/time/minute.h \
@@ -499,7 +495,6 @@
 		function/str/user.cc \
 		function/str/uuid.cc \
 		function/str/weight_string.cc \
-		function/time/add_time.cc \
 		function/time/curdate.cc \
 		function/time/date.cc \
 		function/time/date_add_interval.cc \
@@ -510,13 +505,10 @@
 		function/time/dayofyear.cc \
 		function/time/from_days.cc \
 		function/time/from_unixtime.cc \
-		function/time/get_format.cc \
 		function/time/get_interval_value.cc \
 		function/time/hour.cc \
 		function/time/last_day.cc \
 		function/time/makedate.cc \
-		function/time/make_datetime_with_warn.cc \
-		function/time/make_datetime.cc \
 		function/time/microsecond.cc \
 		function/time/minute.cc \
 		function/time/month.cc \

=== modified file 'drizzled/definitions.h'
--- drizzled/definitions.h	2009-02-21 00:18:15 +0000
+++ drizzled/definitions.h	2009-02-28 17:49:22 +0000
@@ -432,17 +432,6 @@
   OTM_ALTER= 2
 };
 
-
-/**
- * used by several functions in functions/time directory
- *
-**/
-enum date_time_format_types
-{
-  TIME_ONLY= 0, TIME_MICROSECOND, DATE_ONLY, DATE_TIME, DATE_TIME_MICROSECOND
-};
-
-
 enum enum_parsing_place
 {
   NO_MATTER

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-02-27 23:47:26 +0000
+++ drizzled/drizzled.cc	2009-02-28 17:49:22 +0000
@@ -41,7 +41,6 @@
 #include <drizzled/session.h>
 #include <drizzled/db.h>
 #include <drizzled/item/create.h>
-#include <drizzled/function/time/get_format.h>
 #include <drizzled/errmsg.h>
 #include <drizzled/unireg.h>
 #include <drizzled/plugin_scheduling.h>
@@ -361,8 +360,6 @@
 const key_map key_map_empty(0);
 key_map key_map_full(0);                        // Will be initialized later
 
-const char *opt_date_time_formats[3];
-
 uint32_t drizzle_data_home_len;
 char drizzle_data_home_buff[2], *drizzle_data_home=drizzle_real_data_home;
 char server_version[SERVER_VERSION_LENGTH];
@@ -668,9 +665,6 @@
   multi_keycache_free();
   free_status_vars();
   my_free_open_file_info();
-  free((char*) global_system_variables.date_format);
-  free((char*) global_system_variables.time_format);
-  free((char*) global_system_variables.datetime_format);
   if (defaults_argv)
     free_defaults(defaults_argv);
   free(sys_init_connect.value);
@@ -1360,47 +1354,6 @@
 static const char *load_default_groups[]= {
 DRIZZLE_CONFIG_NAME,"server", DRIZZLE_BASE_VERSION, 0, 0};
 
-
-/**
-  Initialize one of the global date/time format variables.
-
-  @param format_type		What kind of format should be supported
-  @param var_ptr		Pointer to variable that should be updated
-
-  @note
-    The default value is taken from either opt_date_time_formats[] or
-    the ISO format (ANSI SQL)
-
-  @retval
-    0 ok
-  @retval
-    1 error
-*/
-
-static bool init_global_datetime_format(enum enum_drizzle_timestamp_type format_type,
-                                        DATE_TIME_FORMAT **var_ptr)
-{
-  /* Get command line option */
-  const char *str= opt_date_time_formats[format_type];
-
-  if (!str)					// No specified format
-  {
-    str= get_date_time_format_str(&known_date_time_formats[ISO_FORMAT],
-				  format_type);
-    /*
-      Set the "command line" option to point to the generated string so
-      that we can set global formats back to default
-    */
-    opt_date_time_formats[format_type]= str;
-  }
-  if (!(*var_ptr= date_time_format_make(format_type, str, strlen(str))))
-  {
-    fprintf(stderr, _("Wrong date/time format specifier: %s\n"), str);
-    return 1;
-  }
-  return 0;
-}
-
 SHOW_VAR com_status_vars[]= {
   {"admin_commands",       (char*) offsetof(STATUS_VAR, com_other), SHOW_LONG_STATUS},
   {"assign_to_keycache",   (char*) offsetof(STATUS_VAR, com_stat[(uint32_t) SQLCOM_ASSIGN_TO_KEYCACHE]), SHOW_LONG_STATUS},
@@ -1501,7 +1454,7 @@
     strncpy(glob_hostname, STRING_WITH_LEN("localhost"));
       errmsg_printf(ERRMSG_LVL_WARN, _("gethostname failed, using '%s' as hostname"),
                       glob_hostname);
-    strncpy(pidfile_name, STRING_WITH_LEN("mysql"));
+    strncpy(pidfile_name, STRING_WITH_LEN("drizzle"));
   }
   else
     strncpy(pidfile_name, glob_hostname, sizeof(pidfile_name)-5);
@@ -2164,7 +2117,6 @@
   OPT_SORT_BUFFER, OPT_TABLE_OPEN_CACHE, OPT_TABLE_DEF_CACHE,
   OPT_TMP_TABLE_SIZE, OPT_THREAD_STACK,
   OPT_WAIT_TIMEOUT,
-  OPT_DEFAULT_WEEK_FORMAT,
   OPT_RANGE_ALLOC_BLOCK_SIZE,
   OPT_QUERY_ALLOC_BLOCK_SIZE, OPT_QUERY_PREALLOC_SIZE,
   OPT_TRANS_ALLOC_BLOCK_SIZE, OPT_TRANS_PREALLOC_SIZE,
@@ -2174,9 +2126,6 @@
   OPT_CHARACTER_SET_FILESYSTEM,
   OPT_LC_TIME_NAMES,
   OPT_INIT_CONNECT,
-  OPT_DATE_FORMAT,
-  OPT_TIME_FORMAT,
-  OPT_DATETIME_FORMAT,
   OPT_DEFAULT_TIME_ZONE,
   OPT_SYSDATE_IS_NOW,
   OPT_OPTIMIZER_SEARCH_DEPTH,
@@ -2439,16 +2388,6 @@
        "packet before responding with 'Bad handshake'."),
     (char**) &connect_timeout, (char**) &connect_timeout,
     0, GET_ULONG, REQUIRED_ARG, CONNECT_TIMEOUT, 2, LONG_TIMEOUT, 0, 1, 0 },
-  { "date_format", OPT_DATE_FORMAT,
-    N_("The DATE format (For future)."),
-    (char**) &opt_date_time_formats[DRIZZLE_TIMESTAMP_DATE],
-    (char**) &opt_date_time_formats[DRIZZLE_TIMESTAMP_DATE],
-    0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  { "datetime_format", OPT_DATETIME_FORMAT,
-    N_("The DATETIME/TIMESTAMP format (for future)."),
-    (char**) &opt_date_time_formats[DRIZZLE_TIMESTAMP_DATETIME],
-    (char**) &opt_date_time_formats[DRIZZLE_TIMESTAMP_DATETIME],
-    0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   { "div_precision_increment", OPT_DIV_PRECINCREMENT,
    N_("Precision of the result of '/' operator will be increased on that "
       "value."),
@@ -2698,11 +2637,6 @@
    (char**) &my_thread_stack_size, 0, GET_ULONG,
    REQUIRED_ARG,DEFAULT_THREAD_STACK,
    UINT32_C(1024*128), SIZE_MAX, 0, 1024, 0},
-  { "time_format", OPT_TIME_FORMAT,
-    N_("The TIME format (for future)."),
-    (char**) &opt_date_time_formats[DRIZZLE_TIMESTAMP_TIME],
-    (char**) &opt_date_time_formats[DRIZZLE_TIMESTAMP_TIME],
-    0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"tmp_table_size", OPT_TMP_TABLE_SIZE,
    N_("If an internal in-memory temporary table exceeds this size, Drizzle will"
       " automatically convert it to an on-disk MyISAM table."),
@@ -2948,8 +2882,6 @@
   table_alias_charset= &my_charset_bin;
   character_set_filesystem= &my_charset_bin;
 
-  opt_date_time_formats[0]= opt_date_time_formats[1]= opt_date_time_formats[2]= 0;
-
   /* Things with default values that are not zero */
   delay_key_write_options= (uint32_t) DELAY_KEY_WRITE_ON;
   drizzle_home_ptr= drizzle_home;
@@ -3281,17 +3213,8 @@
   */
   my_default_record_cache_size=global_system_variables.read_buff_size;
   myisam_max_temp_length= INT32_MAX;
-
-  if (init_global_datetime_format(DRIZZLE_TIMESTAMP_DATE,
-				  &global_system_variables.date_format) ||
-      init_global_datetime_format(DRIZZLE_TIMESTAMP_TIME,
-				  &global_system_variables.time_format) ||
-      init_global_datetime_format(DRIZZLE_TIMESTAMP_DATETIME,
-				  &global_system_variables.datetime_format))
-    exit(1);
 }
 
-
 /*
   Create version name for running drizzled version
   We automaticly add suffixes -debug, -embedded and -log to the version

=== modified file 'drizzled/field/date.cc'
--- drizzled/field/date.cc	2009-02-17 14:41:01 +0000
+++ drizzled/field/date.cc	2009-02-28 17:49:22 +0000
@@ -166,7 +166,7 @@
     {
       char buff[MAX_DATE_STRING_REP_LENGTH];
       String str(buff, sizeof(buff), &my_charset_utf8_general_ci);
-      make_date((DATE_TIME_FORMAT *) 0, ltime, &str);
+      make_date(ltime, &str);
       set_datetime_warning(DRIZZLE_ERROR::WARN_LEVEL_WARN, ER_WARN_DATA_TRUNCATED,
                            str.ptr(), str.length(), DRIZZLE_TIMESTAMP_DATE, 1);
     }
@@ -175,7 +175,7 @@
     {
       char buff[MAX_DATE_STRING_REP_LENGTH];
       String str(buff, sizeof(buff), &my_charset_utf8_general_ci);
-      make_datetime((DATE_TIME_FORMAT *) 0, ltime, &str);
+      make_datetime(ltime, &str);
       set_datetime_warning(DRIZZLE_ERROR::WARN_LEVEL_NOTE,
                            ER_WARN_DATA_TRUNCATED,
                            str.ptr(), str.length(), DRIZZLE_TIMESTAMP_DATE, 1);

=== modified file 'drizzled/field/datetime.cc'
--- drizzled/field/datetime.cc	2009-02-17 14:41:01 +0000
+++ drizzled/field/datetime.cc	2009-02-28 17:49:22 +0000
@@ -175,7 +175,7 @@
     {
       char buff[MAX_DATE_STRING_REP_LENGTH];
       String str(buff, sizeof(buff), &my_charset_utf8_general_ci);
-      make_datetime((DATE_TIME_FORMAT *) 0, ltime, &str);
+      make_datetime(ltime, &str);
       set_datetime_warning(DRIZZLE_ERROR::WARN_LEVEL_WARN, ER_WARN_DATA_TRUNCATED,
                            str.ptr(), str.length(), DRIZZLE_TIMESTAMP_DATETIME,1);
     }

=== removed file 'drizzled/function/time/add_time.cc'
--- drizzled/function/time/add_time.cc	2009-02-21 16:00:06 +0000
+++ drizzled/function/time/add_time.cc	1970-01-01 00:00:00 +0000
@@ -1,151 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#include <drizzled/server_includes.h>
-#include CSTDINT_H
-#include <drizzled/function/time/add_time.h>
-#include <drizzled/function/time/make_datetime.h>
-#include <drizzled/function/time/make_datetime_with_warn.h>
-
-void Item_func_add_time::fix_length_and_dec()
-{
-  enum_field_types arg0_field_type;
-  decimals=0;
-  max_length=MAX_DATETIME_FULL_WIDTH*MY_CHARSET_BIN_MB_MAXLEN;
-  maybe_null= 1;
-
-  /*
-    The field type for the result of an Item_func_add_time function is defined
-    as follows:
-
-    - If first arg is a DRIZZLE_TYPE_DATETIME or DRIZZLE_TYPE_TIMESTAMP
-      result is DRIZZLE_TYPE_DATETIME
-    - If first arg is a DRIZZLE_TYPE_TIME result is DRIZZLE_TYPE_TIME
-    - Otherwise the result is DRIZZLE_TYPE_VARCHAR
-  */
-
-  cached_field_type= DRIZZLE_TYPE_VARCHAR;
-  arg0_field_type= args[0]->field_type();
-  if (arg0_field_type == DRIZZLE_TYPE_DATE ||
-      arg0_field_type == DRIZZLE_TYPE_DATETIME ||
-      arg0_field_type == DRIZZLE_TYPE_TIMESTAMP)
-    cached_field_type= DRIZZLE_TYPE_DATETIME;
-}
-
-/**
-  ADDTIME(t,a) and SUBTIME(t,a) are time functions that calculate a
-  time/datetime value
-
-  t: time_or_datetime_expression
-  a: time_expression
-
-  Result: Time value or datetime value
-*/
-
-String *Item_func_add_time::val_str(String *str)
-{
-  assert(fixed == 1);
-  DRIZZLE_TIME l_time1, l_time2, l_time3;
-  bool is_time= 0;
-  long days, microseconds;
-  int64_t seconds;
-  int l_sign= sign;
-
-  null_value=0;
-  if (is_date)                        // TIMESTAMP function
-  {
-    if (get_arg0_date(&l_time1, TIME_FUZZY_DATE) ||
-        args[1]->get_time(&l_time2) ||
-        l_time1.time_type == DRIZZLE_TIMESTAMP_TIME ||
-        l_time2.time_type != DRIZZLE_TIMESTAMP_TIME)
-      goto null_date;
-  }
-  else                                // ADDTIME function
-  {
-    if (args[0]->get_time(&l_time1) ||
-        args[1]->get_time(&l_time2) ||
-        l_time2.time_type == DRIZZLE_TIMESTAMP_DATETIME)
-      goto null_date;
-    is_time= (l_time1.time_type == DRIZZLE_TIMESTAMP_TIME);
-  }
-  if (l_time1.neg != l_time2.neg)
-    l_sign= -l_sign;
-
-  memset(&l_time3, 0, sizeof(l_time3));
-
-  l_time3.neg= calc_time_diff(&l_time1, &l_time2, -l_sign,
-			      &seconds, &microseconds);
-
-  /*
-    If first argument was negative and diff between arguments
-    is non-zero we need to swap sign to get proper result.
-  */
-  if (l_time1.neg && (seconds || microseconds))
-    l_time3.neg= 1-l_time3.neg;         // Swap sign of result
-
-  if (!is_time && l_time3.neg)
-    goto null_date;
-
-  days= (long)(seconds/86400L);
-
-  calc_time_from_sec(&l_time3, (long)(seconds%86400L), microseconds);
-
-  if (!is_time)
-  {
-    get_date_from_daynr(days,&l_time3.year,&l_time3.month,&l_time3.day);
-    if (l_time3.day &&
-	!make_datetime(l_time1.second_part || l_time2.second_part ?
-		       DATE_TIME_MICROSECOND : DATE_TIME,
-		       &l_time3, str))
-      return str;
-    goto null_date;
-  }
-
-  l_time3.hour+= days*24;
-  if (!make_datetime_with_warn(l_time1.second_part || l_time2.second_part ?
-                               TIME_MICROSECOND : TIME_ONLY,
-                               &l_time3, str))
-    return str;
-
-null_date:
-  null_value=1;
-  return 0;
-}
-
-
-void Item_func_add_time::print(String *str, enum_query_type query_type)
-{
-  if (is_date)
-  {
-    assert(sign > 0);
-    str->append(STRING_WITH_LEN("timestamp("));
-  }
-  else
-  {
-    if (sign > 0)
-      str->append(STRING_WITH_LEN("addtime("));
-    else
-      str->append(STRING_WITH_LEN("subtime("));
-  }
-  args[0]->print(str, query_type);
-  str->append(',');
-  args[1]->print(str, query_type);
-  str->append(')');
-}
-

=== removed file 'drizzled/function/time/add_time.h'
--- drizzled/function/time/add_time.h	2009-02-21 16:00:06 +0000
+++ drizzled/function/time/add_time.h	1970-01-01 00:00:00 +0000
@@ -1,61 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#ifndef DRIZZLED_FUNCTION_TIME_ADD_TIME_H
-#define DRIZZLED_FUNCTION_TIME_ADD_TIME_H
-
-#include <drizzled/function/str/strfunc.h>
-
-class Item_func_add_time :public Item_str_func
-{
-  const bool is_date;
-  int sign;
-  enum_field_types cached_field_type;
-
-public:
-  Item_func_add_time(Item *a, Item *b, bool type_arg, bool neg_arg)
-    :Item_str_func(a, b), is_date(type_arg) { sign= neg_arg ? -1 : 1; }
-  String *val_str(String *str);
-  enum_field_types field_type() const { return cached_field_type; }
-  void fix_length_and_dec();
-
-  using Item_func::tmp_table_field;
-  Field *tmp_table_field(Table *table)
-  {
-    return tmp_table_field_from_field_type(table, 0);
-  }
-  virtual void print(String *str, enum_query_type query_type);
-  const char *func_name() const { return "add_time"; }
-  double val_real() { return val_real_from_decimal(); }
-  my_decimal *val_decimal(my_decimal *decimal_value)
-  {
-    assert(fixed == 1);
-    if (cached_field_type == DRIZZLE_TYPE_DATETIME)
-      return  val_decimal_from_date(decimal_value);
-    return Item_str_func::val_decimal(decimal_value);
-  }
-  int save_in_field(Field *field, bool no_conversions)
-  {
-    if (cached_field_type == DRIZZLE_TYPE_DATETIME)
-      return save_date_in_field(field);
-    return Item_str_func::save_in_field(field, no_conversions);
-  }
-};
-
-#endif /* DRIZZLED_FUNCTION_TIME_ADD_TIME_H */

=== modified file 'drizzled/function/time/date_add_interval.cc'
--- drizzled/function/time/date_add_interval.cc	2009-01-23 06:03:42 +0000
+++ drizzled/function/time/date_add_interval.cc	2009-02-28 17:49:22 +0000
@@ -21,7 +21,6 @@
 #include CSTDINT_H
 #include <drizzled/function/time/date_add_interval.h>
 #include <drizzled/function/time/get_interval_value.h>
-#include <drizzled/function/time/make_datetime.h>
 
 /*
    'interval_names' reflects the order of the enumeration interval_type.
@@ -97,23 +96,29 @@
 {
   assert(fixed == 1);
   DRIZZLE_TIME ltime;
-  enum date_time_format_types format;
 
   if (Item_date_add_interval::get_date(&ltime, TIME_NO_ZERO_DATE))
     return 0;
 
   if (ltime.time_type == DRIZZLE_TIMESTAMP_DATE)
-    format= DATE_ONLY;
+    make_date(&ltime, str);
   else if (ltime.second_part)
-    format= DATE_TIME_MICROSECOND;
+  {
+    uint32_t length= sprintf(str->c_ptr(), "%04u-%02u-%02u %02u:%02u:%02u.%06u",
+                          ltime.year,
+                          ltime.month,
+                          ltime.day,
+                          ltime.hour,
+                          ltime.minute,
+                          ltime.second,
+                          (uint32_t) ltime.second_part);
+    str->length(length);
+    str->set_charset(&my_charset_bin);
+  }
   else
-    format= DATE_TIME;
-
-  if (!make_datetime(format, &ltime, str))
-    return str;
-
-  null_value=1;
-  return 0;
+    make_datetime(&ltime, str);
+
+  return str;
 }
 
 

=== modified file 'drizzled/function/time/date_format.cc'
--- drizzled/function/time/date_format.cc	2008-12-24 02:06:33 +0000
+++ drizzled/function/time/date_format.cc	2009-02-28 17:49:22 +0000
@@ -26,7 +26,7 @@
   Create a formated date/time value in a string.
 */
 
-static bool make_date_time(DATE_TIME_FORMAT *format, DRIZZLE_TIME *l_time,
+static bool make_date_time(String *format, DRIZZLE_TIME *l_time,
 		    enum enum_drizzle_timestamp_type type, String *str)
 {
   char intbuff[15];
@@ -42,7 +42,7 @@
   if (l_time->neg)
     str->append('-');
 
-  end= (ptr= format->format.str) + format->format.length;
+  end= (ptr= format->c_ptr()) + format->length();
   for (; ptr != end ; ptr++)
   {
     if (*ptr != '%' || ptr+1 == end)
@@ -416,13 +416,9 @@
   if (str->alloc(size))
     goto null_date;
 
-  DATE_TIME_FORMAT date_time_format;
-  date_time_format.format.str=    (char*) format->ptr();
-  date_time_format.format.length= format->length();
-
   /* Create the result string */
   str->set_charset(collation.collation);
-  if (!make_date_time(&date_time_format, &l_time,
+  if (!make_date_time(format, &l_time,
                       is_time_format ? DRIZZLE_TIMESTAMP_TIME :
                                        DRIZZLE_TIMESTAMP_DATE,
                       str))

=== modified file 'drizzled/function/time/from_unixtime.cc'
--- drizzled/function/time/from_unixtime.cc	2009-01-23 06:03:42 +0000
+++ drizzled/function/time/from_unixtime.cc	2009-02-28 17:49:22 +0000
@@ -20,7 +20,6 @@
 #include <drizzled/server_includes.h>
 #include CSTDINT_H
 #include <drizzled/function/time/from_unixtime.h>
-#include <drizzled/function/time/make_datetime.h>
 #include <drizzled/tztime.h>
 #include <drizzled/session.h>
 
@@ -48,7 +47,7 @@
     return 0;
   }
 
-  make_datetime((DATE_TIME_FORMAT *) 0, &time_tmp, str);
+  make_datetime(&time_tmp, str);
 
   return str;
 }

=== removed file 'drizzled/function/time/get_format.cc'
--- drizzled/function/time/get_format.cc	2008-12-12 20:40:37 +0000
+++ drizzled/function/time/get_format.cc	1970-01-01 00:00:00 +0000
@@ -1,79 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#include <drizzled/server_includes.h>
-#include CSTDINT_H
-#include <drizzled/function/time/get_format.h>
-
-String *Item_func_get_format::val_str(String *str)
-{
-  assert(fixed == 1);
-  const char *format_name;
-  KNOWN_DATE_TIME_FORMAT *format;
-  String *val= args[0]->val_str(str);
-  ulong val_len;
-
-  if ((null_value= args[0]->null_value))
-    return 0;
-
-  val_len= val->length();
-  for (format= &known_date_time_formats[0];
-       (format_name= format->format_name);
-       format++)
-  {
-    uint32_t format_name_len;
-    format_name_len= strlen(format_name);
-    if (val_len == format_name_len &&
-        !my_strnncoll(&my_charset_utf8_general_ci,
-                      (const unsigned char *) val->ptr(), val_len,
-                      (const unsigned char *) format_name, val_len))
-    {
-      const char *format_str= get_date_time_format_str(format, type);
-      str->set(format_str, strlen(format_str), &my_charset_bin);
-      return str;
-    }
-  }
-
-  null_value= 1;
-  return 0;
-}
-
-void Item_func_get_format::print(String *str, enum_query_type query_type)
-{
-  str->append(func_name());
-  str->append('(');
-
-  switch (type) {
-  case DRIZZLE_TIMESTAMP_DATE:
-    str->append(STRING_WITH_LEN("DATE, "));
-    break;
-  case DRIZZLE_TIMESTAMP_DATETIME:
-    str->append(STRING_WITH_LEN("DATETIME, "));
-    break;
-  case DRIZZLE_TIMESTAMP_TIME:
-    str->append(STRING_WITH_LEN("TIME, "));
-    break;
-  default:
-    assert(0);
-  }
-  args[0]->print(str, query_type);
-  str->append(')');
-}
-
-

=== removed file 'drizzled/function/time/get_format.h'
--- drizzled/function/time/get_format.h	2008-12-12 20:40:37 +0000
+++ drizzled/function/time/get_format.h	1970-01-01 00:00:00 +0000
@@ -1,50 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#ifndef DRIZZLED_FUNCTION_TIME_GET_FORMAT_H
-#define DRIZZLED_FUNCTION_TIME_GET_FORMAT_H
-
-#include <drizzled/function/str/strfunc.h>
-
-enum date_time_format
-{
-  USA_FORMAT, JIS_FORMAT, ISO_FORMAT, EUR_FORMAT, INTERNAL_FORMAT
-};
-
-class Item_func_get_format :public Item_str_func
-{
-public:
-  const enum enum_drizzle_timestamp_type type; // keep it public
-  Item_func_get_format(enum enum_drizzle_timestamp_type type_arg, Item *a)
-    :Item_str_func(a), type(type_arg)
-  {}
-  String *val_str(String *str);
-  const char *func_name() const { return "get_format"; }
-  void fix_length_and_dec()
-  {
-    maybe_null= 1;
-    decimals=0;
-    max_length=17*MY_CHARSET_BIN_MB_MAXLEN;
-  }
-  virtual void print(String *str, enum_query_type query_type);
-};
-
-
-
-#endif /* DRIZZLED_FUNCTION_TIME_GET_FORMAT_H */

=== removed file 'drizzled/function/time/make_datetime.cc'
--- drizzled/function/time/make_datetime.cc	2008-12-12 20:40:37 +0000
+++ drizzled/function/time/make_datetime.cc	1970-01-01 00:00:00 +0000
@@ -1,88 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#include <drizzled/server_includes.h>
-#include CSTDINT_H
-#include <drizzled/function/time/make_datetime.h>
-
-/**
-  @todo
-  OPTIMIZATION
-  - Replace the switch with a function that should be called for each
-  date type.
-  - Remove sprintf and opencode the conversion, like we do in
-  Field_datetime.
-
-  The reason for this functions existence is that as we don't have a
-  way to know if a datetime/time value has microseconds in them
-  we are now only adding microseconds to the output if the
-  value has microseconds.
-
-  We can't use a standard make_date_time() for this as we don't know
-  if someone will use %f in the format specifier in which case we would get
-  the microseconds twice.
-*/
-
-bool make_datetime(date_time_format_types format, DRIZZLE_TIME *ltime,
-                          String *str)
-{
-  char *buff;
-  const CHARSET_INFO * const cs= &my_charset_bin;
-  uint32_t length= MAX_DATE_STRING_REP_LENGTH;
-
-  if (str->alloc(length))
-    return 1;
-  buff= (char*) str->ptr();
-
-  switch (format) {
-  case TIME_ONLY:
-    length= cs->cset->snprintf(cs, buff, length, "%s%02d:%02d:%02d",
-                               ltime->neg ? "-" : "",
-                               ltime->hour, ltime->minute, ltime->second);
-    break;
-  case TIME_MICROSECOND:
-    length= cs->cset->snprintf(cs, buff, length, "%s%02d:%02d:%02d.%06ld",
-                               ltime->neg ? "-" : "",
-                               ltime->hour, ltime->minute, ltime->second,
-                               ltime->second_part);
-    break;
-  case DATE_ONLY:
-    length= cs->cset->snprintf(cs, buff, length, "%04d-%02d-%02d",
-                               ltime->year, ltime->month, ltime->day);
-    break;
-  case DATE_TIME:
-    length= cs->cset->snprintf(cs, buff, length,
-                               "%04d-%02d-%02d %02d:%02d:%02d",
-                               ltime->year, ltime->month, ltime->day,
-                               ltime->hour, ltime->minute, ltime->second);
-    break;
-  case DATE_TIME_MICROSECOND:
-    length= cs->cset->snprintf(cs, buff, length,
-                               "%04d-%02d-%02d %02d:%02d:%02d.%06ld",
-                               ltime->year, ltime->month, ltime->day,
-                               ltime->hour, ltime->minute, ltime->second,
-                               ltime->second_part);
-    break;
-  }
-
-  str->length(length);
-  str->set_charset(cs);
-  return 0;
-}
-

=== removed file 'drizzled/function/time/make_datetime.h'
--- drizzled/function/time/make_datetime.h	2008-12-13 00:15:23 +0000
+++ drizzled/function/time/make_datetime.h	1970-01-01 00:00:00 +0000
@@ -1,28 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#ifndef DRIZZLED_FUNCTION_TIME_MAKE_DATETIME_H
-#define DRIZZLED_FUNCTION_TIME_MAKE_DATETIME_H
-
-bool make_datetime(date_time_format_types format,
-                   DRIZZLE_TIME *ltime,
-                   String *str);
-
-
-#endif /* DRIZZLED_FUNCTION_TIME_MAKE_DATETIME_H */

=== removed file 'drizzled/function/time/make_datetime_with_warn.cc'
--- drizzled/function/time/make_datetime_with_warn.cc	2008-12-13 00:15:23 +0000
+++ drizzled/function/time/make_datetime_with_warn.cc	1970-01-01 00:00:00 +0000
@@ -1,54 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#include <drizzled/server_includes.h>
-#include <drizzled/current_session.h>
-#include CSTDINT_H
-#include <drizzled/function/time/make_datetime_with_warn.h>
-#include <drizzled/function/time/make_datetime.h>
-
-/*
-  Wrapper over make_datetime() with validation of the input DRIZZLE_TIME value
-
-  NOTE
-    see make_datetime() for more information
-
-  RETURN
-    1    if there was an error during converion
-    0    otherwise
-*/
-
-bool make_datetime_with_warn(date_time_format_types format, DRIZZLE_TIME *ltime,
-                                    String *str)
-{
-  int warning= 0;
-
-  if (make_datetime(format, ltime, str))
-    return 1;
-  if (check_time_range(ltime, &warning))
-    return 1;
-  if (!warning)
-    return 0;
-
-  make_truncated_value_warning(current_session, DRIZZLE_ERROR::WARN_LEVEL_WARN,
-                               str->ptr(), str->length(),
-                               DRIZZLE_TIMESTAMP_TIME, NULL);
-  return make_datetime(format, ltime, str);
-}
-

=== removed file 'drizzled/function/time/make_datetime_with_warn.h'
--- drizzled/function/time/make_datetime_with_warn.h	2008-12-13 00:15:23 +0000
+++ drizzled/function/time/make_datetime_with_warn.h	1970-01-01 00:00:00 +0000
@@ -1,27 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#ifndef DRIZZLED_FUNCTION_TIME_MAKE_DATETIME_WITH_WARN_H
-#define DRIZZLED_FUNCTION_TIME_MAKE_DATETIME_WITH_WARN_H
-
-bool make_datetime_with_warn(date_time_format_types format,
-                             DRIZZLE_TIME *ltime,
-                             String *str);
-
-#endif /* DRIZZLED_FUNCTION_TIME_MAKE_DATETIME_WITH_WARN_H */

=== modified file 'drizzled/function/time/makedate.cc'
--- drizzled/function/time/makedate.cc	2008-12-12 20:40:37 +0000
+++ drizzled/function/time/makedate.cc	2009-02-28 17:49:22 +0000
@@ -54,7 +54,7 @@
     get_date_from_daynr(days,&l_time.year,&l_time.month,&l_time.day);
     if (str->alloc(MAX_DATE_STRING_REP_LENGTH))
       goto err;
-    make_date((DATE_TIME_FORMAT *) 0, &l_time, str);
+    make_date(&l_time, str);
     return str;
   }
 

=== modified file 'drizzled/function/time/typecast.cc'
--- drizzled/function/time/typecast.cc	2009-02-21 16:00:06 +0000
+++ drizzled/function/time/typecast.cc	2009-02-28 17:49:22 +0000
@@ -21,7 +21,6 @@
 #include <drizzled/current_session.h>
 #include CSTDINT_H
 #include <drizzled/error.h>
-#include <drizzled/function/time/make_datetime.h>
 #include <drizzled/function/time/typecast.h>
 
 bool Item_char_typecast::eq(const Item *item, bool binary_cmp) const
@@ -192,10 +191,25 @@
   assert(fixed == 1);
   DRIZZLE_TIME ltime;
 
-  if (!get_arg0_date(&ltime, TIME_FUZZY_DATE) &&
-      !make_datetime(ltime.second_part ? DATE_TIME_MICROSECOND : DATE_TIME,
-		     &ltime, str))
+  if (! get_arg0_date(&ltime, TIME_FUZZY_DATE))
+  {
+    if (ltime.second_part)
+    {
+      uint32_t length= sprintf(str->c_ptr(), "%04u-%02u-%02u %02u:%02u:%02u.%06u",
+                            ltime.year,
+                            ltime.month,
+                            ltime.day,
+                            ltime.hour,
+                            ltime.minute,
+                            ltime.second,
+                            (uint32_t) ltime.second_part);
+      str->length(length);
+      str->set_charset(&my_charset_bin);
+    }
+    else
+      make_datetime(&ltime, str);
     return str;
+  }
 
   null_value=1;
   return 0;
@@ -240,7 +254,7 @@
   if (!get_arg0_date(&ltime, TIME_FUZZY_DATE) &&
       !str->alloc(MAX_DATE_STRING_REP_LENGTH))
   {
-    make_date((DATE_TIME_FORMAT *) 0, &ltime, str);
+    make_date(&ltime, str);
     return str;
   }
 

=== modified file 'drizzled/item/create.cc'
--- drizzled/item/create.cc	2009-02-28 17:48:22 +0000
+++ drizzled/item/create.cc	2009-02-28 17:49:22 +0000
@@ -42,7 +42,6 @@
 #include <drizzled/function/str/trim.h>
 #include <drizzled/function/str/uuid.h>
 
-#include <drizzled/function/time/add_time.h>
 #include <drizzled/function/time/date_format.h>
 #include <drizzled/function/time/dayname.h>
 #include <drizzled/function/time/dayofmonth.h>
@@ -301,22 +300,6 @@
   virtual ~Create_func_acos() {}
 };
 
-
-class Create_func_addtime : public Create_func_arg2
-{
-public:
-  using Create_func_arg2::create;
-
-  virtual Item *create(Session *session, Item *arg1, Item *arg2);
-
-  static Create_func_addtime s_singleton;
-
-protected:
-  Create_func_addtime() {}
-  virtual ~Create_func_addtime() {}
-};
-
-
 class Create_func_asin : public Create_func_arg1
 {
 public:
@@ -1409,21 +1392,6 @@
 };
 
 
-class Create_func_subtime : public Create_func_arg2
-{
-public:
-  using Create_func_arg2::create;
-
-  virtual Item *create(Session *session, Item *arg1, Item *arg2);
-
-  static Create_func_subtime s_singleton;
-
-protected:
-  Create_func_subtime() {}
-  virtual ~Create_func_subtime() {}
-};
-
-
 class Create_func_tan : public Create_func_arg1
 {
 public:
@@ -1761,16 +1729,6 @@
   return new (session->mem_root) Item_func_acos(arg1);
 }
 
-
-Create_func_addtime Create_func_addtime::s_singleton;
-
-Item*
-Create_func_addtime::create(Session *session, Item *arg1, Item *arg2)
-{
-  return new (session->mem_root) Item_func_add_time(arg1, arg2, 0, 0);
-}
-
-
 Create_func_asin Create_func_asin::s_singleton;
 
 Item*
@@ -2784,16 +2742,6 @@
   return new (session->mem_root) Item_func_substr_index(arg1, arg2, arg3);
 }
 
-
-Create_func_subtime Create_func_subtime::s_singleton;
-
-Item*
-Create_func_subtime::create(Session *session, Item *arg1, Item *arg2)
-{
-  return new (session->mem_root) Item_func_add_time(arg1, arg2, 0, 1);
-}
-
-
 Create_func_tan Create_func_tan::s_singleton;
 
 Item*
@@ -2922,7 +2870,6 @@
 {
   { { C_STRING_WITH_LEN("ABS") }, BUILDER(Create_func_abs)},
   { { C_STRING_WITH_LEN("ACOS") }, BUILDER(Create_func_acos)},
-  { { C_STRING_WITH_LEN("ADDTIME") }, BUILDER(Create_func_addtime)},
   { { C_STRING_WITH_LEN("ASIN") }, BUILDER(Create_func_asin)},
   { { C_STRING_WITH_LEN("ATAN") }, BUILDER(Create_func_atan)},
   { { C_STRING_WITH_LEN("ATAN2") }, BUILDER(Create_func_atan)},
@@ -3002,7 +2949,6 @@
   { { C_STRING_WITH_LEN("SQRT") }, BUILDER(Create_func_sqrt)},
   { { C_STRING_WITH_LEN("STRCMP") }, BUILDER(Create_func_strcmp)},
   { { C_STRING_WITH_LEN("SUBSTRING_INDEX") }, BUILDER(Create_func_substr_index)},
-  { { C_STRING_WITH_LEN("SUBTIME") }, BUILDER(Create_func_subtime)},
   { { C_STRING_WITH_LEN("TAN") }, BUILDER(Create_func_tan)},
   { { C_STRING_WITH_LEN("TIME_FORMAT") }, BUILDER(Create_func_time_format)},
   { { C_STRING_WITH_LEN("TO_DAYS") }, BUILDER(Create_func_to_days)},

=== modified file 'drizzled/server_includes.h'
--- drizzled/server_includes.h	2009-02-21 01:15:13 +0000
+++ drizzled/server_includes.h	2009-02-28 17:49:22 +0000
@@ -183,9 +183,6 @@
 extern struct system_status_var global_status_var;
 extern struct rand_struct sql_rand;
 
-extern const char *opt_date_time_formats[];
-extern KNOWN_DATE_TIME_FORMAT known_date_time_formats[];
-
 extern Table *unused_tables;
 extern const char* any_db;
 extern struct my_option my_long_options[];
@@ -245,19 +242,9 @@
 
 extern LEX_STRING interval_type_to_name[];
 
-extern DATE_TIME_FORMAT *date_time_format_make(enum enum_drizzle_timestamp_type format_type,
-					       const char *format_str,
-					       uint32_t format_length);
-extern DATE_TIME_FORMAT *date_time_format_copy(Session *session,
-					       DATE_TIME_FORMAT *format);
-const char *get_date_time_format_str(KNOWN_DATE_TIME_FORMAT *format,
-				                             enum enum_drizzle_timestamp_type type);
-void make_datetime(const DATE_TIME_FORMAT *format, const DRIZZLE_TIME *l_time,
-                   String *str);
-void make_date(const DATE_TIME_FORMAT *format, const DRIZZLE_TIME *l_time,
-               String *str);
-void make_time(const DATE_TIME_FORMAT *format, const DRIZZLE_TIME *l_time,
-               String *str);
+void make_datetime(const DRIZZLE_TIME *l_time, String *str);
+void make_date(const DRIZZLE_TIME *l_time, String *str);
+void make_time(const DRIZZLE_TIME *l_time, String *str);
 int my_time_compare(DRIZZLE_TIME *a, DRIZZLE_TIME *b);
 uint64_t get_datetime_value(Session *session, Item ***item_arg, Item **cache_arg,
                              Item *warn_item, bool *is_null);

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2009-02-21 05:34:53 +0000
+++ drizzled/session.cc	2009-02-28 17:49:22 +0000
@@ -639,12 +639,6 @@
 {
   pthread_mutex_lock(&LOCK_global_system_variables);
   plugin_sessionvar_init(this);
-  variables.time_format= date_time_format_copy((Session*) 0,
-					       variables.time_format);
-  variables.date_format= date_time_format_copy((Session*) 0,
-					       variables.date_format);
-  variables.datetime_format= date_time_format_copy((Session*) 0,
-						   variables.datetime_format);
   /*
     variables= global_system_variables above has reset
     variables.pseudo_thread_id to 0. We need to correct it here to
@@ -718,9 +712,6 @@
   mysql_ha_cleanup(this);
   hash_free(&user_vars);
   close_temporary_tables();
-  free((char*) variables.time_format);
-  free((char*) variables.date_format);
-  free((char*) variables.datetime_format);
 
   if (global_read_lock)
     unlock_global_read_lock(this);

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2009-02-26 02:10:12 +0000
+++ drizzled/session.h	2009-02-28 17:49:22 +0000
@@ -201,10 +201,6 @@
 
   Time_zone *time_zone;
 
-  /* DATE, DATETIME and DRIZZLE_TIME formats */
-  DATE_TIME_FORMAT *date_format;
-  DATE_TIME_FORMAT *datetime_format;
-  DATE_TIME_FORMAT *time_format;
   bool sysdate_is_now;
 
 };

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2009-02-26 02:07:23 +0000
+++ drizzled/set_var.cc	2009-02-28 17:49:22 +0000
@@ -324,18 +324,6 @@
 sys_engine_condition_pushdown(&vars, "engine_condition_pushdown",
 			      &SV::engine_condition_pushdown);
 
-/* Time/date/datetime formats */
-
-static sys_var_session_date_time_format sys_time_format(&vars, "time_format",
-					     &SV::time_format,
-					     DRIZZLE_TIMESTAMP_TIME);
-static sys_var_session_date_time_format sys_date_format(&vars, "date_format",
-					     &SV::date_format,
-					     DRIZZLE_TIMESTAMP_DATE);
-static sys_var_session_date_time_format sys_datetime_format(&vars, "datetime_format",
-						 &SV::datetime_format,
-						 DRIZZLE_TIMESTAMP_DATETIME);
-
 /* Variables that are bits in Session */
 
 sys_var_session_bit sys_autocommit(&vars, "autocommit", 0,
@@ -1370,110 +1358,6 @@
 }
 
 
-/** Update a date_time format variable based on given value. */
-
-void sys_var_session_date_time_format::update2(Session *session, enum_var_type type,
-					   DATE_TIME_FORMAT *new_value)
-{
-  DATE_TIME_FORMAT *old;
-
-  if (type == OPT_GLOBAL)
-  {
-    pthread_mutex_lock(&LOCK_global_system_variables);
-    old= (global_system_variables.*offset);
-    (global_system_variables.*offset)= new_value;
-    pthread_mutex_unlock(&LOCK_global_system_variables);
-  }
-  else
-  {
-    old= (session->variables.*offset);
-    (session->variables.*offset)= new_value;
-  }
-  free((char*) old);
-  return;
-}
-
-
-bool sys_var_session_date_time_format::update(Session *session, set_var *var)
-{
-  DATE_TIME_FORMAT *new_value;
-  /* We must make a copy of the last value to get it into normal memory */
-  new_value= date_time_format_copy((Session*) 0,
-				   var->save_result.date_time_format);
-  if (!new_value)
-    return 1;					// Out of memory
-  update2(session, var->type, new_value);		// Can't fail
-  return 0;
-}
-
-
-bool sys_var_session_date_time_format::check(Session *session, set_var *var)
-{
-  char buff[STRING_BUFFER_USUAL_SIZE];
-  String str(buff,sizeof(buff), system_charset_info), *res;
-  DATE_TIME_FORMAT *format;
-
-  if (!(res=var->value->val_str(&str)))
-    res= &my_empty_string;
-
-  if (!(format= date_time_format_make(date_time_type,
-				      res->ptr(), res->length())))
-  {
-    my_error(ER_WRONG_VALUE_FOR_VAR, MYF(0), name, res->c_ptr());
-    return 1;
-  }
-
-  /*
-    We must copy result to thread space to not get a memory leak if
-    update is aborted
-  */
-  var->save_result.date_time_format= date_time_format_copy(session, format);
-  free((char*) format);
-  return var->save_result.date_time_format == 0;
-}
-
-
-void sys_var_session_date_time_format::set_default(Session *session, enum_var_type type)
-{
-  DATE_TIME_FORMAT *res= 0;
-
-  if (type == OPT_GLOBAL)
-  {
-    const char *format;
-    if ((format= opt_date_time_formats[date_time_type]))
-      res= date_time_format_make(date_time_type, format, strlen(format));
-  }
-  else
-  {
-    /* Make copy with malloc */
-    res= date_time_format_copy((Session *) 0, global_system_variables.*offset);
-  }
-
-  if (res)					// Should always be true
-    update2(session, type, res);
-}
-
-
-unsigned char *sys_var_session_date_time_format::value_ptr(Session *session,
-                                                           enum_var_type type,
-                                                           const LEX_STRING *)
-{
-  if (type == OPT_GLOBAL)
-  {
-    char *res;
-    /*
-      We do a copy here just to be sure things will work even if someone
-      is modifying the original string while the copy is accessed
-      (Can't happen now in SQL SHOW, but this is a good safety for the future)
-    */
-    res= session->strmake((global_system_variables.*offset)->format.str,
-		      (global_system_variables.*offset)->format.length);
-    return (unsigned char*) res;
-  }
-  return (unsigned char*) (session->variables.*offset)->format.str;
-}
-
-
 typedef struct old_names_map_st
 {
   const char *old_name;

=== modified file 'drizzled/set_var.h'
--- drizzled/set_var.h	2009-02-21 00:18:15 +0000
+++ drizzled/set_var.h	2009-02-28 17:49:22 +0000
@@ -794,34 +794,6 @@
   SHOW_TYPE show_type() { return SHOW_LONG; }
 };
 
-
-class sys_var_session_date_time_format :public sys_var_session
-{
-  DATE_TIME_FORMAT *SV::*offset;
-  enum enum_drizzle_timestamp_type date_time_type;
-public:
-  sys_var_session_date_time_format(sys_var_chain *chain, const char *name_arg,
-			       DATE_TIME_FORMAT *SV::*offset_arg,
-			       enum enum_drizzle_timestamp_type date_time_type_arg)
-    :sys_var_session(name_arg), offset(offset_arg),
-    date_time_type(date_time_type_arg)
-  { chain_sys_var(chain); }
-  SHOW_TYPE show_type() { return SHOW_CHAR; }
-  bool check_update_type(Item_result type)
-  {
-    return type != STRING_RESULT;		/* Only accept strings */
-  }
-  bool check_default(enum_var_type)
-  { return 0; }
-  bool check(Session *session, set_var *var);
-  bool update(Session *session, set_var *var);
-  void update2(Session *session, enum_var_type type, DATE_TIME_FORMAT *new_value);
-  unsigned char *value_ptr(Session *session, enum_var_type type,
-                           const LEX_STRING *base);
-  void set_default(Session *session, enum_var_type type);
-};
-
-
 /* Variable that you can only read from */
 
 class sys_var_readonly: public sys_var
@@ -1008,7 +980,6 @@
     uint64_t uint64_t_value;
     size_t size_t_value;
     plugin_ref plugin;
-    DATE_TIME_FORMAT *date_time_format;
     Time_zone *time_zone;
     MY_LOCALE *locale_value;
   } save_result;

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2009-02-28 17:48:22 +0000
+++ drizzled/sql_yacc.yy	2009-02-28 17:49:22 +0000
@@ -55,12 +55,10 @@
 #include <drizzled/function/str/user.h>
 #include <drizzled/function/str/weight_string.h>
 
-#include <drizzled/function/time/add_time.h>
 #include <drizzled/function/time/curdate.h>
 #include <drizzled/function/time/date_add_interval.h>
 #include <drizzled/function/time/dayofmonth.h>
 #include <drizzled/function/time/extract.h>
-#include <drizzled/function/time/get_format.h>
 #include <drizzled/function/time/hour.h>
 #include <drizzled/function/time/microsecond.h>
 #include <drizzled/function/time/minute.h>
@@ -587,7 +585,6 @@
 %token  FROM
 %token  FULL                          /* SQL-2003-R */
 %token  GE
-%token  GET_FORMAT                    /* MYSQL-FUNC */
 %token  GLOBAL_SYM                    /* SQL-2003-R */
 %token  GROUP_SYM                     /* SQL-2003-R */
 %token  GROUP_CONCAT_SYM
@@ -998,7 +995,6 @@
         select_derived derived_table_list
         select_derived_union
 
-%type <date_time_type> date_time_type;
 %type <interval> interval
 
 %type <interval_time_st> interval_time_st
@@ -3195,8 +3191,6 @@
           { $$= new (YYSession->mem_root) Item_func_second($3); }
         | TIMESTAMP '(' expr ')'
           { $$= new (YYSession->mem_root) Item_datetime_typecast($3); }
-        | TIMESTAMP '(' expr ',' expr ')'
-          { $$= new (YYSession->mem_root) Item_func_add_time($3, $5, 1, 0); }
         | TRIM '(' expr ')'
           { $$= new (YYSession->mem_root) Item_func_trim($3); }
         | TRIM '(' LEADING expr FROM expr ')'
@@ -3229,7 +3223,6 @@
   MAINTAINER:
   The only reasons a function should be added here are:
   - for compatibility reasons with another SQL syntax (CURDATE),
-  - for typing reasons (GET_FORMAT)
   Any other 'Syntaxic sugar' enhancements should be *STRONGLY*
   discouraged.
 */
@@ -3251,8 +3244,6 @@
           { $$= new (YYSession->mem_root) Item_date_add_interval($3,$6,$7,1); }
         | EXTRACT_SYM '(' interval FROM expr ')'
           { $$=new (YYSession->mem_root) Item_extract( $3, $5); }
-        | GET_FORMAT '(' date_time_type  ',' expr ')'
-          { $$= new (YYSession->mem_root) Item_func_get_format($3, $5); }
         | NOW_SYM optional_braces
           {
             $$= new (YYSession->mem_root) Item_func_now_local();
@@ -4172,12 +4163,6 @@
         | YEAR_SYM        { $$=INTERVAL_YEAR; }
         ;
 
-date_time_type:
-          DATE_SYM  {$$=DRIZZLE_TIMESTAMP_DATE;}
-        | DATETIME  {$$=DRIZZLE_TIMESTAMP_DATETIME;}
-        | TIMESTAMP {$$=DRIZZLE_TIMESTAMP_DATETIME;}
-        ;
-
 table_alias:
           /* empty */
         | AS
@@ -5871,7 +5856,6 @@
         | FIRST_SYM                {}
         | FIXED_SYM                {}
         | FRAC_SECOND_SYM          {}
-        | GET_FORMAT               {}
         | GLOBAL_SYM               {}
         | HASH_SYM                 {}
         | HOSTS_SYM                {}

=== modified file 'drizzled/structs.h'
--- drizzled/structs.h	2009-02-07 21:15:13 +0000
+++ drizzled/structs.h	2009-02-28 17:49:22 +0000
@@ -31,14 +31,6 @@
 class Field;
 typedef struct st_io_cache IO_CACHE;
 
-typedef struct st_date_time_format {
-  unsigned char positions[8];
-  char  time_separator;			/* Separator between hour and minute */
-  uint32_t flag;				/* For future */
-  LEX_STRING format;
-} DATE_TIME_FORMAT;
-
-
 typedef struct st_keyfile_info {	/* used with ha_info() */
   unsigned char ref[MAX_REFLENGTH];		/* Pointer to current row */
   unsigned char dupp_ref[MAX_REFLENGTH];	/* Pointer to dupp row */
@@ -150,15 +142,6 @@
   bool neg;
 } INTERVAL;
 
-
-typedef struct st_known_date_time_format {
-  const char *format_name;
-  const char *date_format;
-  const char *datetime_format;
-  const char *time_format;
-} KNOWN_DATE_TIME_FORMAT;
-
-
 extern const char *show_comp_option_name[];
 
 typedef int *(*update_var)(Session *, struct st_mysql_show_var *);

=== modified file 'drizzled/symbol_hash.gperf'
--- drizzled/symbol_hash.gperf	2009-02-21 16:00:06 +0000
+++ drizzled/symbol_hash.gperf	2009-02-28 17:49:22 +0000
@@ -195,7 +195,6 @@
 FRAC_SECOND, FRAC_SECOND_SYM
 FROM, FROM
 FULL, FULL
-GET_FORMAT, GET_FORMAT
 GLOBAL, GLOBAL_SYM
 GROUP, GROUP_SYM
 HANDLER, HANDLER_SYM

=== modified file 'drizzled/time.cc'
--- drizzled/time.cc	2009-02-21 00:18:15 +0000
+++ drizzled/time.cc	2009-02-28 17:49:22 +0000
@@ -25,7 +25,6 @@
 #include <drizzled/util/test.h>
 #include <drizzled/tztime.h>
 #include <drizzled/session.h>
-#include <drizzled/function/time/get_format.h>
 
 /* Some functions to calculate dates */
 
@@ -328,393 +327,25 @@
   to->second_part= microseconds;
 }
 
-
-/*
-  Parse a format string specification
-
-  SYNOPSIS
-    parse_date_time_format()
-    format_type		Format of string (time, date or datetime)
-    format_str		String to parse
-    format_length	Length of string
-    date_time_format	Format to fill in
-
-  NOTES
-    Fills in date_time_format->positions for all date time parts.
-
-    positions marks the position for a datetime element in the format string.
-    The position array elements are in the following order:
-    YYYY-DD-MM HH-MM-DD.FFFFFF AM
-    0    1  2  3  4  5  6      7
-
-    If positions[0]= 5, it means that year will be the forth element to
-    read from the parsed date string.
-
-  RETURN
-    0	ok
-    1	error
-*/
-
-bool parse_date_time_format(enum enum_drizzle_timestamp_type format_type,
-			    const char *format, uint32_t format_length,
-			    DATE_TIME_FORMAT *date_time_format)
-{
-  uint32_t offset= 0, separators= 0;
-  const char *ptr= format, *format_str;
-  const char *end= ptr+format_length;
-  unsigned char *dt_pos= date_time_format->positions;
-  /* need_p is set if we are using AM/PM format */
-  bool need_p= 0, allow_separator= 0;
-  uint32_t part_map= 0, separator_map= 0;
-  const char *parts[16];
-
-  date_time_format->time_separator= 0;
-  date_time_format->flag= 0;			// For future
-
-  /*
-    Fill position with 'dummy' arguments to found out if a format tag is
-    used twice (This limit's the format to 255 characters, but this is ok)
-  */
-  dt_pos[0]= dt_pos[1]= dt_pos[2]= dt_pos[3]=
-    dt_pos[4]= dt_pos[5]= dt_pos[6]= dt_pos[7]= 255;
-
-  for (; ptr != end; ptr++)
-  {
-    if (*ptr == '%' && ptr+1 != end)
-    {
-      uint32_t position;
-      switch (*++ptr) {
-      case 'y':					// Year
-      case 'Y':
-	position= 0;
-	break;
-      case 'c':					// Month
-      case 'm':
-	position= 1;
-	break;
-      case 'd':
-      case 'e':
-	position= 2;
-	break;
-      case 'h':
-      case 'I':
-      case 'l':
-	need_p= 1;				// Need AM/PM
-	/* Fall through */
-      case 'k':
-      case 'H':
-	position= 3;
-	break;
-      case 'i':
-	position= 4;
-	break;
-      case 's':
-      case 'S':
-	position= 5;
-	break;
-      case 'f':
-	position= 6;
-	if (dt_pos[5] != offset-1 || ptr[-2] != '.')
-	  return 1;				// Wrong usage of %f
-	break;
-      case 'p':					// AM/PM
-	if (offset == 0)			// Can't be first
-	  return 0;
-	position= 7;
-	break;
-      default:
-	return 1;				// Unknown controll char
-      }
-      if (dt_pos[position] != 255)		// Don't allow same tag twice
-	return 1;
-      parts[position]= ptr-1;
-
-      /*
-	If switching from time to date, ensure that all time parts
-	are used
-      */
-      if (part_map && position <= 2 && !(part_map & (1 | 2 | 4)))
-	offset=5;
-      part_map|= UINT32_C(1) << position;
-      dt_pos[position]= offset++;
-      allow_separator= 1;
-    }
-    else
-    {
-      /*
-	Don't allow any characters in format as this could easily confuse
-	the date reader
-      */
-      if (!allow_separator)
-	return 1;				// No separator here
-      allow_separator= 0;			// Don't allow two separators
-      separators++;
-      /* Store in separator_map which parts are punct characters */
-      if (my_ispunct(&my_charset_utf8_general_ci, *ptr))
-	separator_map|= 1 << (offset-1);
-      else if (!my_isspace(&my_charset_utf8_general_ci, *ptr))
-	return 1;
-    }
-  }
-
-  /* If no %f, specify it after seconds.  Move %p up, if necessary */
-  if ((part_map & 32) && !(part_map & 64))
-  {
-    dt_pos[6]= dt_pos[5] +1;
-    parts[6]= parts[5];				// For later test in (need_p)
-    if (dt_pos[6] == dt_pos[7])			// Move %p one step up if used
-      dt_pos[7]++;
-  }
-
-  /*
-    Check that we have not used a non legal format specifier and that all
-    format specifiers have been used
-
-    The last test is to ensure that %p is used if and only if
-    it's needed.
-  */
-  if ((format_type == DRIZZLE_TIMESTAMP_DATETIME &&
-       !test_all_bits(part_map, (uint32_t) (1 | 2 | 4 | 8 | 16 | 32))) ||
-      (format_type == DRIZZLE_TIMESTAMP_DATE && part_map != (1 | 2 | 4)) ||
-      (format_type == DRIZZLE_TIMESTAMP_TIME &&
-       !test_all_bits(part_map, (uint32_t) (8 | 16 | 32))) ||
-      !allow_separator ||			// %option should be last
-      (need_p && dt_pos[6] +1 != dt_pos[7]) ||
-      (need_p ^ (dt_pos[7] != 255)))
-    return 1;
-
-  if (dt_pos[6] != 255)				// If fractional seconds
-  {
-    /* remove fractional seconds from later tests */
-    uint32_t pos= dt_pos[6] -1;
-    /* Remove separator before %f from sep map */
-    separator_map= ((separator_map & ((1 << pos)-1)) |
-		    ((separator_map & ~((1 << pos)-1)) >> 1));
-    if (part_map & 64)
-    {
-      separators--;				// There is always a separator
-      need_p= 1;				// force use of separators
-    }
-  }
-
-  /*
-    Remove possible separator before %p from sep_map
-    (This can either be at position 3, 4, 6 or 7) h.m.d.%f %p
-  */
-  if (dt_pos[7] != 255)
-  {
-    if (need_p && parts[7] != parts[6]+2)
-      separators--;
-  }
-  /*
-    Calculate if %p is in first or last part of the datetime field
-
-    At this point we have either %H-%i-%s %p 'year parts' or
-    'year parts' &H-%i-%s %p" as %f was removed above
-  */
-  offset= dt_pos[6] <= 3 ? 3 : 6;
-  /* Remove separator before %p from sep map */
-  separator_map= ((separator_map & ((1 << offset)-1)) |
-		  ((separator_map & ~((1 << offset)-1)) >> 1));
-
-  format_str= 0;
-  switch (format_type) {
-  case DRIZZLE_TIMESTAMP_DATE:
-    format_str= known_date_time_formats[INTERNAL_FORMAT].date_format;
-    /* fall through */
-  case DRIZZLE_TIMESTAMP_TIME:
-    if (!format_str)
-      format_str=known_date_time_formats[INTERNAL_FORMAT].time_format;
-
-    /*
-      If there is no separators, allow the internal format as we can read
-      this.  If separators are used, they must be between each part
-    */
-    if (format_length == 6 && !need_p &&
-	!my_strnncoll(&my_charset_bin,
-		      (const unsigned char *) format, 6,
-		      (const unsigned char *) format_str, 6))
-      return 0;
-    if (separator_map == (1 | 2))
-    {
-      if (format_type == DRIZZLE_TIMESTAMP_TIME)
-      {
-	if (*(format+2) != *(format+5))
-	  break;				// Error
-	/* Store the character used for time formats */
-	date_time_format->time_separator= *(format+2);
-      }
-      return 0;
-    }
-    break;
-  case DRIZZLE_TIMESTAMP_DATETIME:
-    /*
-      If there is no separators, allow the internal format as we can read
-      this.  If separators are used, they must be between each part.
-      Between DATE and TIME we also allow space as separator
-    */
-    if ((format_length == 12 && !need_p &&
-	 !my_strnncoll(&my_charset_bin,
-		       (const unsigned char *) format, 12,
-		       (const unsigned char*) known_date_time_formats[INTERNAL_FORMAT].datetime_format,
-		       12)) ||
-	(separators == 5 && separator_map == (1 | 2 | 8 | 16)))
-      return 0;
-    break;
-  default:
-    assert(1);
-    break;
-  }
-  return 1;					// Error
-}
-
-
-/*
-  Create a DATE_TIME_FORMAT object from a format string specification
-
-  SYNOPSIS
-    date_time_format_make()
-    format_type		Format to parse (time, date or datetime)
-    format_str		String to parse
-    format_length	Length of string
-
-  NOTES
-    The returned object should be freed with free()
-
-  RETURN
-    NULL ponter:	Error
-    new object
-*/
-
-DATE_TIME_FORMAT
-*date_time_format_make(enum enum_drizzle_timestamp_type format_type,
-		       const char *format_str, uint32_t format_length)
-{
-  DATE_TIME_FORMAT tmp;
-
-  if (format_length && format_length < 255 &&
-      !parse_date_time_format(format_type, format_str,
-			      format_length, &tmp))
-  {
-    tmp.format.str=    (char*) format_str;
-    tmp.format.length= format_length;
-    return date_time_format_copy((Session *)0, &tmp);
-  }
-  return 0;
-}
-
-
-/*
-  Create a copy of a DATE_TIME_FORMAT object
-
-  SYNOPSIS
-    date_and_time_format_copy()
-    session			Set if variable should be allocated in thread mem
-    format		format to copy
-
-  NOTES
-    The returned object should be freed with free()
-
-  RETURN
-    NULL ponter:	Error
-    new object
-*/
-
-DATE_TIME_FORMAT *date_time_format_copy(Session *session, DATE_TIME_FORMAT *format)
-{
-  DATE_TIME_FORMAT *new_format;
-  uint32_t length= sizeof(*format) + format->format.length + 1;
-
-  if (session)
-    new_format= (DATE_TIME_FORMAT *) session->alloc(length);
-  else
-    new_format=  (DATE_TIME_FORMAT *) malloc(length);
-  if (new_format)
-  {
-    /* Put format string after current pos */
-    new_format->format.str= (char*) (new_format+1);
-    memcpy(new_format->positions, format->positions,
-	   sizeof(format->positions));
-    new_format->time_separator= format->time_separator;
-    /* We make the string null terminated for easy printf in SHOW VARIABLES */
-    memcpy(new_format->format.str, format->format.str,
-	   format->format.length);
-    new_format->format.str[format->format.length]= 0;
-    new_format->format.length= format->format.length;
-  }
-  return new_format;
-}
-
-
-KNOWN_DATE_TIME_FORMAT known_date_time_formats[6]=
-{
-  {"USA", "%m.%d.%Y", "%Y-%m-%d %H.%i.%s", "%h:%i:%s %p" },
-  {"JIS", "%Y-%m-%d", "%Y-%m-%d %H:%i:%s", "%H:%i:%s" },
-  {"ISO", "%Y-%m-%d", "%Y-%m-%d %H:%i:%s", "%H:%i:%s" },
-  {"EUR", "%d.%m.%Y", "%Y-%m-%d %H.%i.%s", "%H.%i.%s" },
-  {"INTERNAL", "%Y%m%d",   "%Y%m%d%H%i%s", "%H%i%s" },
-  { 0, 0, 0, 0 }
-};
-
-
-/*
-   Return format string according format name.
-   If name is unknown, result is NULL
-*/
-
-const char *get_date_time_format_str(KNOWN_DATE_TIME_FORMAT *format,
-				     enum enum_drizzle_timestamp_type type)
-{
-  switch (type) {
-  case DRIZZLE_TIMESTAMP_DATE:
-    return format->date_format;
-  case DRIZZLE_TIMESTAMP_DATETIME:
-    return format->datetime_format;
-  case DRIZZLE_TIMESTAMP_TIME:
-    return format->time_format;
-  default:
-    assert(0);				// Impossible
-    return 0;
-  }
-}
-
-/****************************************************************************
-  Functions to create default time/date/datetime strings
-
-  NOTE:
-    For the moment the DATE_TIME_FORMAT argument is ignored becasue
-    MySQL doesn't support comparing of date/time/datetime strings that
-    are not in arbutary order as dates are compared as strings in some
-    context)
-    This functions don't check that given DRIZZLE_TIME structure members are
-    in valid range. If they are not, return value won't reflect any
-    valid date either. Additionally, make_time doesn't take into
-    account time->day member: it's assumed that days have been converted
-    to hours already.
-****************************************************************************/
-
-void make_time(const DATE_TIME_FORMAT *,
-               const DRIZZLE_TIME *l_time, String *str)
-{
-  uint32_t length= (uint32_t) my_time_to_str(l_time, (char*) str->ptr());
-  str->length(length);
-  str->set_charset(&my_charset_bin);
-}
-
-
-void make_date(const DATE_TIME_FORMAT *,
-               const DRIZZLE_TIME *l_time, String *str)
-{
-  uint32_t length= (uint32_t) my_date_to_str(l_time, (char*) str->ptr());
-  str->length(length);
-  str->set_charset(&my_charset_bin);
-}
-
-
-void make_datetime(const DATE_TIME_FORMAT *,
-                   const DRIZZLE_TIME *l_time, String *str)
-{
-  uint32_t length= (uint32_t) my_datetime_to_str(l_time, (char*) str->ptr());
+void make_time(const DRIZZLE_TIME *l_time, String *str)
+{
+  uint32_t length= (uint32_t) my_time_to_str(l_time, (char*) str->c_ptr());
+  str->length(length);
+  str->set_charset(&my_charset_bin);
+}
+
+
+void make_date(const DRIZZLE_TIME *l_time, String *str)
+{
+  uint32_t length= (uint32_t) my_date_to_str(l_time, (char*) str->c_ptr());
+  str->length(length);
+  str->set_charset(&my_charset_bin);
+}
+
+
+void make_datetime(const DRIZZLE_TIME *l_time, String *str)
+{
+  uint32_t length= (uint32_t) my_datetime_to_str(l_time, (char*) str->c_ptr());
   str->length(length);
   str->set_charset(&my_charset_bin);
 }

=== modified file 'tests/r/date_formats.result'
--- tests/r/date_formats.result	2009-02-21 16:00:06 +0000
+++ tests/r/date_formats.result	2009-02-28 17:49:22 +0000
@@ -1,96 +1,9 @@
 drop table if exists t1;
-SHOW GLOBAL VARIABLES LIKE "%e_format";
-Variable_name	Value
-date_format	%d.%m.%Y
-datetime_format	%Y-%m-%d %H:%i:%s
-innodb_file_format	Antelope
-time_format	%H.%i.%s
-SHOW SESSION VARIABLES LIKE "%e_format";
-Variable_name	Value
-date_format	%d.%m.%Y
-datetime_format	%Y-%m-%d %H:%i:%s
-innodb_file_format	Antelope
-time_format	%H.%i.%s
-SET time_format='%H%i%s';
-SET time_format='%H:%i:%s.%f';
-SET time_format='%h-%i-%s.%f%p';
-SET time_format='%h:%i:%s.%f %p';
-SET time_format='%h:%i:%s%p';
-SET date_format='%Y%m%d';
-SET date_format='%Y.%m.%d';
-SET date_format='%d.%m.%Y';
-SET date_format='%m-%d-%Y';
-set datetime_format= '%Y%m%d%H%i%s';
-set datetime_format= '%Y-%m-%d %H:%i:%s';
-set datetime_format= '%m-%d-%y %H:%i:%s.%f';
-set datetime_format= '%d-%m-%Y %h:%i:%s%p';
-set datetime_format= '%H:%i:%s %Y-%m-%d';
-set datetime_format= '%H:%i:%s.%f %m-%d-%Y';
-set datetime_format= '%h:%i:%s %p %Y-%m-%d';
-set datetime_format= '%h:%i:%s.%f %p %Y-%m-%d';
-SHOW SESSION VARIABLES LIKE "%e_format";
-Variable_name	Value
-date_format	%m-%d-%Y
-datetime_format	%h:%i:%s.%f %p %Y-%m-%d
-innodb_file_format	Antelope
-time_format	%h:%i:%s%p
-SET time_format='%h:%i:%s';
-ERROR 42000: Variable 'time_format' can't be set to the value of '%h:%i:%s'
-SET time_format='%H %i:%s';
-ERROR 42000: Variable 'time_format' can't be set to the value of '%H %i:%s'
-SET time_format='%H::%i:%s';
-ERROR 42000: Variable 'time_format' can't be set to the value of '%H::%i:%s'
-SET time_format='%H:%i:%s%f';
-ERROR 42000: Variable 'time_format' can't be set to the value of '%H:%i:%s%f'
-SET time_format='%H:%i.%f:%s';
-ERROR 42000: Variable 'time_format' can't be set to the value of '%H:%i.%f:%s'
-SET time_format='%H:%i:%s%p';
-ERROR 42000: Variable 'time_format' can't be set to the value of '%H:%i:%s%p'
-SET time_format='%h:%i:%s.%f %p %Y-%m-%d';
-ERROR 42000: Variable 'time_format' can't be set to the value of '%h:%i:%s.%f %p %Y-%m-%d'
-SET time_format='%H%i%s.%f';
-ERROR 42000: Variable 'time_format' can't be set to the value of '%H%i%s.%f'
-SET time_format='%H:%i-%s.%f';
-ERROR 42000: Variable 'time_format' can't be set to the value of '%H:%i-%s.%f'
-SET date_format='%d.%m.%d';
-ERROR 42000: Variable 'date_format' can't be set to the value of '%d.%m.%d'
-SET datetime_format='%h.%m.%y %d.%i.%s';
-ERROR 42000: Variable 'datetime_format' can't be set to the value of '%h.%m.%y %d.%i.%s'
-set datetime_format= '%H:%i:%s.%f %p %Y-%m-%d';
-ERROR 42000: Variable 'datetime_format' can't be set to the value of '%H:%i:%s.%f %p %Y-%m-%d'
-set GLOBAL datetime_format= '%H:%i:%s %Y-%m-%d';
-SET SESSION datetime_format=default;
-select @@global.datetime_format, @@session.datetime_format;
-@@global.datetime_format	@@session.datetime_format
-%H:%i:%s %Y-%m-%d	%H:%i:%s %Y-%m-%d
-SET GLOBAL datetime_format=default;
-SET SESSION datetime_format=default;
-select @@global.datetime_format, @@session.datetime_format;
-@@global.datetime_format	@@session.datetime_format
-%Y-%m-%d %H:%i:%s	%Y-%m-%d %H:%i:%s
-SET GLOBAL date_format=default;
-SET GLOBAL time_format=default;
-SET GLOBAL datetime_format=default;
-SET time_format=default;
-SET date_format=default;
-SET datetime_format=default;
-select get_format(DATE, 'USA') as a;
-a
-%m.%d.%Y
-select get_format(DATETIME, 'eur') as a;
-a
-%Y-%m-%d %H.%i.%s
-select get_format(TIMESTAMP, 'eur') as a;
-a
-%Y-%m-%d %H.%i.%s
-select get_format(DATE, 'TEST') as a;
-a
-NULL
-explain extended select makedate(1997,1), subtime("31.12.97 11.59.59.999999 PM", "1 1.1.1.000002"),microsecond("1997-12-31 23:59:59.000001");
+explain extended select makedate(1997,1), microsecond("1997-12-31 23:59:59.000001");
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	filtered	Extra
 1	SIMPLE	NULL	NULL	NULL	NULL	NULL	NULL	NULL	NULL	No tables used
 Warnings:
-Note	1003	select makedate(1997,1) AS `makedate(1997,1)`,subtime('31.12.97 11.59.59.999999 PM','1 1.1.1.000002') AS `subtime("31.12.97 11.59.59.999999 PM", "1 1.1.1.000002")`,microsecond('1997-12-31 23:59:59.000001') AS `microsecond("1997-12-31 23:59:59.000001")`
+Note	1003	select makedate(1997,1) AS `makedate(1997,1)`,microsecond('1997-12-31 23:59:59.000001') AS `microsecond("1997-12-31 23:59:59.000001")`
 create table t1 (d date);
 insert into t1 values ('2004-07-14'),('2005-07-14');
 select date_format(d,"%d") from t1 order by 1;

=== modified file 'tests/r/func_sapdb.result'
--- tests/r/func_sapdb.result	2009-02-21 16:00:06 +0000
+++ tests/r/func_sapdb.result	2009-02-28 17:49:22 +0000
@@ -85,29 +85,6 @@
 select makedate(100,1);
 makedate(100,1)
 0100-01-01
-select subtime("1997-12-31 23:59:59.000001", "1 1:1:1.000002");
-subtime("1997-12-31 23:59:59.000001", "1 1:1:1.000002")
-1997-12-30 22:58:57.999999
-select subtime("1997-12-31 23:59:59.999999", "1998-01-01 01:01:01.999999");
-subtime("1997-12-31 23:59:59.999999", "1998-01-01 01:01:01.999999")
-NULL
-select subtime("01:00:00.999999", "02:00:00.999998");
-subtime("01:00:00.999999", "02:00:00.999998")
--00:59:59.999999
-select subtime("02:01:01.999999", "01:01:01.999999");
-subtime("02:01:01.999999", "01:01:01.999999")
-01:00:00.000000
-select timestamp("2001-12-01", "01:01:01.999999");
-timestamp("2001-12-01", "01:01:01.999999")
-2001-12-01 01:01:01.999999
-select timestamp("2001-13-01", "01:01:01.000001");
-timestamp("2001-13-01", "01:01:01.000001")
-NULL
-Warnings:
-Warning	1292	Incorrect datetime value: '2001-13-01'
-select timestamp("2001-12-01", "25:01:01");
-timestamp("2001-12-01", "25:01:01")
-2001-12-02 01:01:01
 select timestamp("2001-12-01 01:01:01.000100");
 timestamp("2001-12-01 01:01:01.000100")
 2001-12-01 01:01:01.000100
@@ -130,16 +107,14 @@
 1
 create table t1 
 select makedate(1997,1) as f1,
-timestamp(cast("2001-12-01" as date), "01:01:01") as f7,
 date("1997-12-31 23:59:59.000001") as f8;
 describe t1;
 Field	Type	Null	Key	Default	Extra
 f1	date	YES		NULL	
-f7	datetime	YES		NULL	
 f8	date	YES		NULL	
 select * from t1;
-f1	f7	f8
-1997-01-01	2001-12-01 01:01:01	1997-12-31
+f1	f8
+1997-01-01	1997-12-31
 create table test(t1 datetime, t4 datetime);
 insert into test values 
 ('2001-01-01 01:01:01', '2001-02-01 01:01:01'),

=== modified file 'tests/suite/vcol/inc/vcol_supported_sql_funcs_main.inc'
--- tests/suite/vcol/inc/vcol_supported_sql_funcs_main.inc	2009-02-21 16:00:06 +0000
+++ tests/suite/vcol/inc/vcol_supported_sql_funcs_main.inc	2009-02-28 17:49:22 +0000
@@ -817,12 +817,6 @@
 let $rows = 1;
 --source suite/vcol/inc/vcol_supported_sql_funcs.inc
 
---echo # GET_FORMAT()
-let $cols = a datetime, b virtual varchar(32) as (date_format(a,get_format(DATE,'EUR')));
-let $values1 = '2008-08-31',default;
-let $rows = 1;
---source suite/vcol/inc/vcol_supported_sql_funcs.inc
-
 --echo # HOUR()
 let $cols = a datetime, b virtual int as (hour(a));
 let $values1 = '2008-08-08 10:05:03',default;
@@ -896,12 +890,6 @@
 let $rows = 1;
 --source suite/vcol/inc/vcol_supported_sql_funcs.inc
 
---echo # SUBTIME()
-let $cols = a datetime, b virtual datetime as (subtime(a,'02:00:00'));
-let $values1 = '2008-08-31',default;
-let $rows = 1;
---source suite/vcol/inc/vcol_supported_sql_funcs.inc
-
 --echo # TIME_FORMAT()
 let $cols = a datetime, b virtual varchar(32) as (time_format(a,'%r'));
 let $values1 = '2008-08-31 02:03:04',default;

=== modified file 'tests/suite/vcol/r/vcol_supported_sql_funcs_innodb.result'
--- tests/suite/vcol/r/vcol_supported_sql_funcs_innodb.result	2009-02-21 16:00:06 +0000
+++ tests/suite/vcol/r/vcol_supported_sql_funcs_innodb.result	2009-02-28 17:49:22 +0000
@@ -1995,21 +1995,6 @@
 1196440219	2007-11-30 19:30:19
 drop table t1;
 set sql_warnings = 0;
-# GET_FORMAT()
-set sql_warnings = 1;
-create table t1 (a datetime, b virtual varchar(32) as (date_format(a,get_format(DATE,'EUR'))));
-show create table t1;
-Table	Create Table
-t1	CREATE TABLE `t1` (
-  `a` datetime DEFAULT NULL,
-  `b` VIRTUAL varchar(32) AS (date_format(a,get_format(DATE,'EUR')))
-) ENGINE=InnoDB
-insert into t1 values ('2008-08-31',default);
-select * from t1;
-a	b
-2008-08-31 00:00:00	31.08.2008
-drop table t1;
-set sql_warnings = 0;
 # HOUR()
 set sql_warnings = 1;
 create table t1 (a datetime, b virtual int as (hour(a)));
@@ -2193,21 +2178,6 @@
 2008-08-31 00:00:00	2008-07-31 00:00:00
 drop table t1;
 set sql_warnings = 0;
-# SUBTIME()
-set sql_warnings = 1;
-create table t1 (a datetime, b virtual datetime as (subtime(a,'02:00:00')));
-show create table t1;
-Table	Create Table
-t1	CREATE TABLE `t1` (
-  `a` datetime DEFAULT NULL,
-  `b` VIRTUAL datetime AS (subtime(a,'02:00:00'))
-) ENGINE=InnoDB
-insert into t1 values ('2008-08-31',default);
-select * from t1;
-a	b
-2008-08-31 00:00:00	2008-08-30 22:00:00
-drop table t1;
-set sql_warnings = 0;
 # TIME_FORMAT()
 set sql_warnings = 1;
 create table t1 (a datetime, b virtual varchar(32) as (time_format(a,'%r')));

=== modified file 'tests/suite/vcol/r/vcol_supported_sql_funcs_myisam.result'
--- tests/suite/vcol/r/vcol_supported_sql_funcs_myisam.result	2009-02-21 16:00:06 +0000
+++ tests/suite/vcol/r/vcol_supported_sql_funcs_myisam.result	2009-02-28 17:49:22 +0000
@@ -1995,21 +1995,6 @@
 1196440219	2007-11-30 19:30:19
 drop table t1;
 set sql_warnings = 0;
-# GET_FORMAT()
-set sql_warnings = 1;
-create table t1 (a datetime, b virtual varchar(32) as (date_format(a,get_format(DATE,'EUR'))));
-show create table t1;
-Table	Create Table
-t1	CREATE TABLE `t1` (
-  `a` datetime DEFAULT NULL,
-  `b` VIRTUAL varchar(32) AS (date_format(a,get_format(DATE,'EUR')))
-) ENGINE=MyISAM
-insert into t1 values ('2008-08-31',default);
-select * from t1;
-a	b
-2008-08-31 00:00:00	31.08.2008
-drop table t1;
-set sql_warnings = 0;
 # HOUR()
 set sql_warnings = 1;
 create table t1 (a datetime, b virtual int as (hour(a)));
@@ -2193,21 +2178,6 @@
 2008-08-31 00:00:00	2008-07-31 00:00:00
 drop table t1;
 set sql_warnings = 0;
-# SUBTIME()
-set sql_warnings = 1;
-create table t1 (a datetime, b virtual datetime as (subtime(a,'02:00:00')));
-show create table t1;
-Table	Create Table
-t1	CREATE TABLE `t1` (
-  `a` datetime DEFAULT NULL,
-  `b` VIRTUAL datetime AS (subtime(a,'02:00:00'))
-) ENGINE=MyISAM
-insert into t1 values ('2008-08-31',default);
-select * from t1;
-a	b
-2008-08-31 00:00:00	2008-08-30 22:00:00
-drop table t1;
-set sql_warnings = 0;
 # TIME_FORMAT()
 set sql_warnings = 1;
 create table t1 (a datetime, b virtual varchar(32) as (time_format(a,'%r')));

=== removed file 'tests/t/date_formats-master.opt'
--- tests/t/date_formats-master.opt	2008-12-06 22:41:03 +0000
+++ tests/t/date_formats-master.opt	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
---date-format=%d.%m.%Y --time-format=%H.%i.%s

=== modified file 'tests/t/date_formats.test'
--- tests/t/date_formats.test	2009-02-21 16:00:06 +0000
+++ tests/t/date_formats.test	2009-02-28 17:49:22 +0000
@@ -6,81 +6,6 @@
 drop table if exists t1;
 --enable_warnings
 
---replace_result ROW <format> STATEMENT <format> MIXED <format>
-SHOW GLOBAL VARIABLES LIKE "%e_format";
---replace_result ROW <format> STATEMENT <format> MIXED <format>
-SHOW SESSION VARIABLES LIKE "%e_format";
-
-#
-# Test setting a lot of different formats to see which formats are accepted and
-# which aren't
-#
-
-SET time_format='%H%i%s';
-SET time_format='%H:%i:%s.%f';
-SET time_format='%h-%i-%s.%f%p';
-SET time_format='%h:%i:%s.%f %p';
-SET time_format='%h:%i:%s%p';
-
-SET date_format='%Y%m%d';
-SET date_format='%Y.%m.%d';
-SET date_format='%d.%m.%Y';
-SET date_format='%m-%d-%Y';
-
-set datetime_format= '%Y%m%d%H%i%s';
-set datetime_format= '%Y-%m-%d %H:%i:%s';
-set datetime_format= '%m-%d-%y %H:%i:%s.%f';
-set datetime_format= '%d-%m-%Y %h:%i:%s%p';
-set datetime_format= '%H:%i:%s %Y-%m-%d';
-set datetime_format= '%H:%i:%s.%f %m-%d-%Y';
-set datetime_format= '%h:%i:%s %p %Y-%m-%d';
-set datetime_format= '%h:%i:%s.%f %p %Y-%m-%d';
-
---replace_result ROW <format> STATEMENT <format> MIXED <format>
-SHOW SESSION VARIABLES LIKE "%e_format";
-
---error 1231
-SET time_format='%h:%i:%s';
---error 1231
-SET time_format='%H %i:%s';
---error 1231
-SET time_format='%H::%i:%s';
---error 1231
-SET time_format='%H:%i:%s%f';
---error 1231
-SET time_format='%H:%i.%f:%s';
---error 1231
-SET time_format='%H:%i:%s%p';
---error 1231
-SET time_format='%h:%i:%s.%f %p %Y-%m-%d';
---error 1231
-SET time_format='%H%i%s.%f';
---error 1231
-SET time_format='%H:%i-%s.%f';
---error 1231
-SET date_format='%d.%m.%d';
---error 1231
-SET datetime_format='%h.%m.%y %d.%i.%s';
---error 1231
-set datetime_format= '%H:%i:%s.%f %p %Y-%m-%d';
-
-#
-# Test GLOBAL values
-
-set GLOBAL datetime_format= '%H:%i:%s %Y-%m-%d';
-SET SESSION datetime_format=default;
-select @@global.datetime_format, @@session.datetime_format;
-SET GLOBAL datetime_format=default;
-SET SESSION datetime_format=default;
-select @@global.datetime_format, @@session.datetime_format;
-
-SET GLOBAL date_format=default;
-SET GLOBAL time_format=default;
-SET GLOBAL datetime_format=default;
-SET time_format=default;
-SET date_format=default;
-SET datetime_format=default;
-
 #
 # The following tests will work only when we at some point will enable
 # dynamic changing of formats
@@ -117,16 +42,7 @@
 # SET time_format='%i:%s:%H';
 # select cast(str_to_date('15-01-2001 12:59:59', '%d-%m-%Y %H:%i:%S') as TIME);
 
-#
-# Test of get_format
-#
-
-select get_format(DATE, 'USA') as a;
-select get_format(DATETIME, 'eur') as a;
-select get_format(TIMESTAMP, 'eur') as a;
-select get_format(DATE, 'TEST') as a;
-
-explain extended select makedate(1997,1), subtime("31.12.97 11.59.59.999999 PM", "1 1.1.1.000002"),microsecond("1997-12-31 23:59:59.000001");
+explain extended select makedate(1997,1), microsecond("1997-12-31 23:59:59.000001");
 
 #
 # Test of date_format()

=== modified file 'tests/t/func_sapdb.test'
--- tests/t/func_sapdb.test	2009-02-21 16:00:06 +0000
+++ tests/t/func_sapdb.test	2009-02-28 17:49:22 +0000
@@ -45,20 +45,10 @@
 select makedate(9999,366);
 select makedate(100,1);
 
-#Time functions
-
-select subtime("1997-12-31 23:59:59.000001", "1 1:1:1.000002");
-select subtime("1997-12-31 23:59:59.999999", "1998-01-01 01:01:01.999999");
-select subtime("01:00:00.999999", "02:00:00.999998");
-select subtime("02:01:01.999999", "01:01:01.999999");
-
 # Extraction functions
 
 # PS doesn't support fractional seconds
 --disable_ps_protocol
-select timestamp("2001-12-01", "01:01:01.999999");
-select timestamp("2001-13-01", "01:01:01.000001");
-select timestamp("2001-12-01", "25:01:01");
 select timestamp("2001-12-01 01:01:01.000100");
 select timestamp("2001-12-01");
 select day("1997-12-31 23:59:59.000001");
@@ -69,7 +59,6 @@
 
 create table t1 
 select makedate(1997,1) as f1,
-   timestamp(cast("2001-12-01" as date), "01:01:01") as f7,
    date("1997-12-31 23:59:59.000001") as f8;
 describe t1;
 # PS doesn't support fractional seconds

